import 'package:redux/redux.dart';

import '../actions.dart';

final lastVisitReducer = combineReducers<List<int>?>([
  TypedReducer<List<int>?, UpdateLastVisit>(_updateLastVisit)
]);

List<int>? _updateLastVisit(List<int>? lastVisit, action) {
  return action.lastVisit;
}